Summary: C library for accessing ADI features on sparc
Name: libadi
Version: 2.0
License: The Universal Permissive License (UPL), Version 1.0
Vendor: Oracle
Group: System Environment/Libraries
Release: 3%{?dist}
ExclusiveArch: sparc64
Source: libadi-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils >= 2.20.51.0.2-5.36.0.8

%description
libadi contains C library functions to access the ADI (Application Data
Integrity) feature on sparc processors, when supported. These fucntions
allow a userspace program to enable and setup ADI for its use. ADI feature
allows a userspace program to enable tags on a block of memory and once
tags are enabled, only the processes presenting a valid tag can access this
memory block.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use ADI (Application Data Integrity)
functionality on sparc processors that is provided by %{name}.


%build
make

%install
rm -fr %{buildroot}
make install DESTDIR="%{buildroot}"

%clean
make clean
rm -fr %{buildroot}

%prep
%setup -n libadi-%{version}
 
%files 
%{_libdir}/libadi.so
%defattr(-,root,root)

%files devel
%doc COPYING docs/adi_api.txt
%{_libdir}/libadi.a
%{_includedir}/adi.h
%{_mandir}/man3/adi*

%changelog
* Thu Dec  8 2016 Khalid Aziz <khalid.aziz@oracle.com> 2.0-3
- Turn off io buffering in set_mcde (Eric Snowberg)
- Expand get_auxv to retrieve auxiliary vectors using environment
  variable pointer, from /proc/self/auxv or return default values
  if both of these approaches fail (Bug 25205340)

* Tue Sep  27 2016 Khalid Aziz <khalid.aziz@oracle.com> 2.0-2
- Fixed return value from adi_memset (bug 24471597)
- Replace assembly instructions reading/writing MCDPER with
  pre-assembled instructions
- Turn on -O3 optimization
- Add support for adi_get_enabled and adi_set_enabled with
  new ADI API (Eric Snowberg)

* Wed May  18 2016 Khalid Aziz <khalid.aziz@oracle.com> 2.0-1
- New ADI API to use upstream kernel ADI API

* Wed Feb  17 2016 Khalid Aziz <khalid.aziz@oracle.com> 1.0-13
- Updated prctl command codes to accomodate new prctl commands
  in upstream kernel
- Corrected si_codes for couple of signals

* Wed Nov  18 2015 Khalid Aziz <khalid.aziz@oracle.com> 1.0-12
- Updated source code license in source files and removed GPL
  statement from man page sources
- Clarified faults received by userspace process on system calls

* Wed Sep  16 2015 Khalid Aziz <khalid.aziz@oracle.com> 1.0-11
- Added details on ADI tag mismatch handling during a system call
- Some minor man page clean up.

* Wed May  13 2015 Khalid Aziz <khalid.aziz@oracle.com> 1.0-10
- Updated API doc and minor man page clean ups

* Wed Feb  18 2015 Khalid Aziz <khalid.aziz@oracle.com> 1.0-9
- Man page updates

* Wed Feb  5 2015 Khalid Aziz <khalid.aziz@oracle.com> 1.0-8
- Man page updates to fix typos and remove duplication
- Added PR_GET_SPARC_ADI_STATUS

* Fri Jan  30 2015 Khalid Aziz <khalid.aziz@oracle.com> 1.0-7
- Updated adi_*_version() to new signals, signal codes and return values
- Added note to link with -ladi in man pages
- Added adi_memset()
- Performance improvements

* Tue Nov  18 2014 Khalid Aziz <khalid.aziz@oracle.com> 1.0-6
- Replaced getpagesize() with sysconf()
- Fixed the incorrect value returned by adi_version_shift()
- Improved performance for checking for hugepages by reducing number
  of files opened under /proc

* Mon Nov  10 2014 Khalid Aziz <khalid.aziz@oracle.com> 1.0-5
- Updated adi_get_version() man page

* Mon Nov  10 2014 Khalid Aziz <khalid.aziz@oracle.com> 1.0-4
- Added check for hugepage before performing ADI operations on
  virtual addresses
- Added error codes to man pages

* Thu Oct  17 2014 Khalid Aziz <khalid.aziz@oracle.com> 1.0-3
- Updated man pages

* Thu Oct  09 2014 Khalid Aziz <khalid.aziz@oracle.com> 1.0-2
- Fixed typos in adi_api.txt
- Updated and corrected mistakes in errno in man pages.
- Added man page for adi_clr_version

* Tue Oct  07 2014 Khalid Aziz <khalid.aziz@oracle.com> 1.0-1
- Added man pages and docs. Updated library. Many updates to specs file.
- Updated software license to Oracle proprietary

* Thu Sep  12 2014 Lidza Louina <lidza.louina@oracle.com> 0.6
- Initial release of libadi. This contains all essential C library
  functions and headers needed to build and run programs that use ADI
  functionality on sparc processors.
